# %BANNER_BEGIN%
# ---------------------------------------------------------------------
# %COPYRIGHT_BEGIN%
#
# Copyright (c) 2022 Magic Leap, Inc. (COMPANY) All Rights Reserved.
# Magic Leap, Inc. Confidential and Proprietary
#
#  NOTICE:  All information contained herein is, and remains the property
#  of COMPANY. The intellectual and technical concepts contained herein
#  are proprietary to COMPANY and may be covered by U.S. and Foreign
#  Patents, patents in process, and are protected by trade secret or
#  copyright law.  Dissemination of this information or reproduction of
#  this material is strictly forbidden unless prior written permission is
#  obtained from COMPANY.  Access to the source code contained herein is
#  hereby forbidden to anyone except current COMPANY employees, managers
#  or contractors who have executed Confidentiality and Non-disclosure
#  agreements explicitly covering such access.
#
#  The copyright notice above does not evidence any actual or intended
#  publication or disclosure  of  this source code, which includes
#  information that is confidential and/or proprietary, and is a trade
#  secret, of  COMPANY.   ANY REPRODUCTION, MODIFICATION, DISTRIBUTION,
#  PUBLIC  PERFORMANCE, OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS
#  SOURCE CODE  WITHOUT THE EXPRESS WRITTEN CONSENT OF COMPANY IS
#  STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE LAWS AND
#  INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE
#  CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS
#  TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE,
#  USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.
#
# %COPYRIGHT_END%
# ---------------------------------------------------------------------
# %BANNER_END%

import os

from diags import debug
from utils import get_script_dir

SCRIPT_NAME = 'labdriver'
VERSION = '0.3.0'

CONFIG_DIR = '~/.config/ml_hub'

PRODUCT_NAME = "ML Hub"

ENV_ROOT = 'ML_HUB_ROOT'
ENV_ROOT_ARG = '--root'

DEFAULT_INSTALL_DIR_OSX = '/Applications/ML Hub.app'
DEFAULT_INSTALL_DIR_OTHER = '~/MagicLeap/MLHub'

DEFAULT_EXE = 'ml_hub'

CL_DRIVER_APPLICATION = 'com.magicleap.creatorslab.driver.rcp'

def fake_entry():
    pass


SCRIPT_DIR = get_script_dir(fake_entry)

OS_WIN = 'win'
OS_OSX = 'osx'
OS_LINUX = 'linux'

if os.name == 'nt' or os.name == 'ce':
    HOSTOS = OS_WIN
elif os.sys.platform == 'darwin':
    HOSTOS = OS_OSX
else:
    HOSTOS = OS_LINUX

